Commit 39dc7225 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Removed deprecated install statements from CI setup.


Former-commit-id: 36448df5
parent 74a38eb9
......@@ -5,18 +5,6 @@ dockerfile="geomultisens_ci.docker"
tag="geomultisens_ci:latest"
gitlab_runner="geomultisens_gitlab_CI_runner"
# get py_tools_ds project # TODO move this to setup.py as soon as package is public
rm -rf context/py_tools_ds
git clone https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git ./context/py_tools_ds
# get geoarray project # TODO move this to setup.py as soon as package is public
rm -rf context/geoarray
git clone https://gitext.gfz-potsdam.de/danschef/geoarray.git ./context/geoarray
# get arosics project # TODO move this to setup.py as soon as package is public
rm -rf context/arosics
git clone https://gitext.gfz-potsdam.de/danschef/arosics.git ./context/arosics
# get sicor project # TODO move this to setup.py as soon as package is public
rm -rf context/sicor
git clone https://gitext.gfz-potsdam.de/hollstei/sicor.git ./context/sicor
......
......@@ -26,16 +26,13 @@ RUN /bin/bash -i -c "source /root/anaconda3/bin/activate ; \
conda install --yes xerces-c ; \
conda install --yes -c conda-forge glymur pygrib rasterio pyproj cachetools pyhdf ; \
pip install shapely geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse \
spectral psycopg2 pyorbital pyinstrument geoalchemy2" # must include all the requirements needed to build the docs!
spectral psycopg2 pyorbital pyinstrument geoalchemy2 py_tools_ds geoarray arosics" # must include all the requirements needed to build the docs!
# copy some needed stuff to /root
#COPY *.pkl /root/ # EXAMPLE
#COPY *.h5 /root/ # EXAMPLE
# copy py_tools_ds, geoarray, arosics and sicor code to /tmp
COPY py_tools_ds /tmp/py_tools_ds
COPY geoarray /tmp/geoarray
COPY arosics /tmp/arosics
# copy sicor code to /tmp
COPY sicor /tmp/sicor
# install git lfs
......@@ -55,8 +52,5 @@ RUN bash -i -c 'source /root/anaconda3/bin/activate; \
sed -i "/backend : qt5agg/c\backend : Agg" $(python -c "import matplotlib; print(matplotlib.matplotlib_fname())")'
RUN bash -i -c "source /root/anaconda3/bin/activate; \
cd /tmp/py_tools_ds/; python setup.py install; \
cd /tmp/geoarray/; python setup.py install; \
cd /tmp/arosics/; python setup.py install; \
cd /tmp/sicor/; python setup.py install; \
cd /tmp/sicor/; make install; \
" # TODO move this to setup.py as soon as package is public
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment